For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Getting Started
    • Introduction
    • How Verifa Works
    • Quickstart
    • Choosing an Integration Method
  • Use Cases
    • KYC Onboarding
    • Age Verification
    • AML Compliance
    • Fraud Prevention
    • Marketplace Trust & Safety
  • Core Concepts
    • Overview
    • Sessions
    • Verifications & Checks
    • Workflows
    • Identities
    • Cases
    • Screening & Reports
    • Lists
  • Integration Guides
    • Overview
    • JavaScript SDK
    • Web Capture Flow
    • API-Only Integration
    • Mobile SDK
    • Webhooks Guide
    • MCP Server
    • Migrating from Persona
  • API Details
    • Overview
    • Authentication
    • Pagination
    • Rate Limiting
    • Versioning
    • Errors
    • Webhooks
    • Idempotency
    • Key Inflection
    • Data Access
    • Data Retention
  • Tutorials
    • Creating Your First Verification Session
    • Creating a Workflow
    • Receiving Webhooks & Validating Signatures
    • Handling Webhook Events
    • Custom Document Types & AI Extraction
  • Best Practices
    • Testing
    • Preventing Duplicates
    • Fraud Signals
    • Changelog
  • API Reference
      • GETList API keys
      • POSTCreate API key
      • GETRetrieve API key
      • PATCHUpdate API key
      • POSTExpire API key
      • POSTClone API key
      • GETGet rate limit status
API ReferenceAPI Keys

Create API key

POST
https://devapi.withverifa.com/api/v1/api-keys
POST
/api/v1/api-keys
$curl -X POST https://devapi.withverifa.com/api/v1/api-keys \
> -H "X-API-Key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "created_at": "2024-01-15T09:30:00Z",
3 "environment": "live",
4 "id": "key_abc123",
5 "is_active": true,
6 "key_prefix": "vk_live_abc1",
7 "secret": "string",
8 "type": "api-key",
9 "allowed_ips": [
10 "string"
11 ],
12 "api_version": "string",
13 "default_key_inflection": "camel",
14 "expires_at": "2024-01-15T09:30:00Z",
15 "label": "string",
16 "last_used_at": "2024-01-15T09:30:00Z",
17 "note": "string",
18 "scopes": [
19 "string"
20 ],
21 "warning": "string"
22}

Creates a new API key. The full secret is returned only in this response — store it securely.

Was this page helpful?
Previous

Retrieve API key

Next
Built with

Authentication

X-API-Keystring

Organization API key. Keys are prefixed with vk_live_ (production) or vk_sandbox_ (sandbox).

Headers

Verifa-VersiondateOptional

API version date string (e.g. 2026-02-01). If omitted, the version pinned to your API key is used.

Request

This endpoint expects an object.
labelstring or nullOptional

Human-readable label for the key.

notestring or nullOptional
Internal note about this key's purpose.
environmentenumOptionalDefaults to live
Environment the key is scoped to.
Allowed values:
scopeslist of strings or nullOptional
Permission scopes to grant.
api_versionstring or nullOptional
allowed_ipslist of strings or nullOptional
IP allowlist for this key.
expires_atstring or nullOptional
ISO 8601 expiration timestamp.

Response

API key created. The secret field is only returned here.

created_atdatetime
environmentenum
Allowed values:
idstring
is_activeboolean
key_prefixstring
First characters of the key for identification.
secretstring

Full API key secret. Only returned at creation time — store it securely as it cannot be retrieved again.

typeenum
Allowed values:
allowed_ipslist of strings or null
IP allowlist. Null means all IPs are allowed.
api_versionstring or null
default_key_inflectionenum
Allowed values:
expires_atdatetime or null
labelstring or null
last_used_atdatetime or null
notestring or null
scopeslist of strings or null
Permission scopes granted to this key.
warningstring
Reminder to store the secret securely.

Errors

401
Unauthorized Error
422
Unprocessable Entity Error